function [ I ] = miMinFn(eta, W,Wud,Xs,k,Jp,sgma)
%
% Maximize mutual information (by minimizing its negative)
% 
% Written by:
% -- 
% John L. Weatherwax                2005-10-30
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

Wp = W + eta * Wud; 
Q = gram(Wp); Wp = Q; clear Q; 
Ys = Xs * Wp;
[ VCY2, VC2Y2, VCY ] = computeInformationPotentials(Ys,k,Jp,sgma); 
IT = VCY2 + VC2Y2 - 2*VCY;
I = -IT; 
