function [ ] = writeLVQInput(dataStr,methStr,tst_OR_trn,Xs,Ys,k)
%
% Written by:s
% -- 
% John L. Weatherwax                2005-10-30
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

d=size(Ys,2); 

fnStr = [ dataStr, '_',methStr,'_',tst_OR_trn,'_d_',num2str(d),'.dat' ]; 
fh = fopen(fnStr,'w'); 
fprintf(fh,'%d\n',d);
fprintf(fh,'# Data %s projected using %s\n',dataStr,methStr); 
for ii=1:size(Ys,1)
  for jj=1:size(Ys,2)
    fprintf(fh,'%f  ',Ys(ii,jj));
  end
  fprintf(fh,'%d \n',k(ii));
end
fclose(fh); 
